bug-parted
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: adapt t1101-busy-partition not to use mkpartfs


From: Jim Meyering
Subject: [PATCH] tests: adapt t1101-busy-partition not to use mkpartfs
Date: Thu, 12 May 2011 20:55:22 +0200

I'm in the process of removing FS-op support, so tests
must not use the likes of mkpartfs any more:

>From 01747afe8208b00fe59dad96037dea1d1bac4b88 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Tue, 10 May 2011 19:29:23 +0200
Subject: [PATCH] tests: adapt t1101-busy-partition not to use mkpartfs

* tests/t1101-busy-partition.sh: Use mkfs.vfat instead.
---
 tests/t1101-busy-partition.sh |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/tests/t1101-busy-partition.sh b/tests/t1101-busy-partition.sh
index f7aab83..116d326 100755
--- a/tests/t1101-busy-partition.sh
+++ b/tests/t1101-busy-partition.sh
@@ -37,15 +37,17 @@ parted -s "$dev" mklabel msdos > out 2>&1 || fail=1
 # expect no output
 compare out /dev/null || fail=1

-parted -s "$dev" mkpartfs primary fat32 1 40 > out 2>&1 || fail=1
+parted -s "$dev" mkpart primary fat32 1 40 > out 2>&1 || fail=1
 compare out /dev/null || fail=1

-parted -s "$dev" mkpartfs primary fat32 40 80 > out 2>&1 || fail=1
+parted -s "$dev" mkpart primary fat32 40 80 > out 2>&1 || fail=1
 compare out /dev/null || fail=1

 # wait for new partition device to appear
 wait_for_dev_to_appear_ ${dev}2 || fail_ ${dev}2 did not appear

+mkfs.vfat -F 32 ${dev}2 || skip_ mkfs.vfat failed
+
 # be sure to unmount upon interrupt, failure, etc.
 cleanup_fn_() { umount "${dev}2" > /dev/null 2>&1; }

--
1.7.5.1.398.g86d1d



reply via email to

[Prev in Thread] Current Thread [Next in Thread]